[minecraft]
version = '1.20.1'
loader = 'forge'
loader_ver = '47.3.39'
pack_name = 'test_pack_1_20_1'
java_max_memory = '7G'
java_max_memory_server = '7G'

[server]
pvp=false
motd="Test pack"
online-mode=false

# Default minecraft's options.txt
[client.options]
#guiScale = 2    # Always set GUI scale to 2
lang = "en_gb"  # Yes.

# Overrides any file
#[custom]
# Mods to include:
[mods.4I1XuqiY]     # [EMF] Entity Model Features
[mods.BVzZfTc1]     # [ETF] Entity Texture Features
[mods.sk9rgfiA]     # Embeddium
    skip_platform="arm64 darwin"
[mods.sodium-options-api]
    skip_platform="arm64 darwin"
[mods.rkN8aqci]     # Async Locator
[mods.g96Z4WVZ]     # BadOptimizations
[mods.entityculling]     # BadOptimizations
[mods.KuNKN7d2]     # Noisium
#[mods.GchcoXML]     # Oculus
#[mods.continuity]
[mods.sodium-extras]
    skip_platform="arm64 darwin"
[mods.5ZwdcRci]     # ImmediatelyFast
[mods.nmDcB62a]     # ModernFix
[mods.hg77g4Pw]     # No Telemetry
[mods.uXXizFIs]     # FerriteCore
[mods.ksyxis]       # Fast world loading
[mods.634062]       # https://www.curseforge.com/minecraft/mc-mods/no-chat-reports
[mods.curios]
[mods.lmft]     # Load My F***ing Tags
[mods.geckolib]
[mods.yacl]  # YetAnotherConfigLib
[mods.qyVF9oeo]   # Sound Physics Remastered
[mods.iceberg]
[mods.memoryleakfix]
[mods.lmd]  # Let Me Despawn
#[mods.particle-core]
[mods.canary]
#[mods.radium]  # Radium Reforged
[mods.951499]  # Fast Async World Save
[mods.907856]  # Recipe Essentials
[mods.326652]  # Cupboard, required by above
[mods.cloth-config]  # Cupboard, required by above
[mods.832882]  # Structure Essentials
[mods.structure-layout-optimizer]  # structure-layout-optimizer
[mods.899487]  # Better chunk loading
[mods.fast-ip-ping]
[mods.my-server-is-compatible]
[mods.servercore]
[mods.packet-fixer]
[mods.immersive-optimization]
[mods.gputape]
    server_side=false
    skip_platform="arm64 darwin"
[mods.mpalladium]
    server_side=false
    skip_platform="arm64 darwin"
[mods.toadlib]
    server_side=false
    skip_platform="arm64 darwin"
[mods.adaptive-performance-tweaks-core]
    client_side=false
    skip_platform="arm64 darwin"
[mods.too-fast]
    client_side=false
[mods.spark]
[mods.neruina]
[mods.better-nether-map]
[mods.chunky]
    client_side=false
[mods.225608]
    server_side=false
[mods.852498]  # Smooth Movement
[mods.551520]  # Better Fps - Render Distance


# Performance reducing mods
[mods.distanthorizons]
    skip_platform="arm64 darwin"
#[mods.simple-clouds]
[mods.oculus]
    skip_platform="arm64 darwin"
[shaders.photon-shader]
[mods.renderscale]

## Nether worldgen
[mods.netherweather]
[datapacks.incendium]
#[mods.even-better-nether]
[mods.jadens-nether-expansion]

## End worldgen
[datapacks.nullscape]  # does not work?
[mods.ends-phantasm]

[mods.lukis-grand-capitals]  # better villages
[mods.ct-overhaul-village]
[mods.improved-village-placement]
# [mods.380548]  # river-redux
# [mods.1013424]  # Bigger Trees
[mods.biomas-vanilla-renovados]  # upgraded vanilla trees
# [mods.1123746]  # Underground Villages, Stoneholm
[mods.block-swap]

# [mods.biomes-o-plenty]
[mods.wwoo]
[datapacks.cliffs-and-coves]  # wwoo addon
[datapacks.navigable-rivers]  # wwoo addon
# [mods.expanded-ecosphere]
# [mods.oh-the-biomes-weve-gone]
# [mods.caves__canyons]    # different cave gen
[mods.better-lush-caves]
[mods.biome-dither]
[mods.terrablender]
[mods.project-vibrant-journeys]
# [mods.world-preview]
# [mods.natures-spirit]

[mods.tectonic]
# [datapacks.terralith]
# [datapacks.terratonic]   # tectonic with Terralith compatibility
# [mods.better-foliage-renewed]

# [datapacks.lithosphere]  # takes forever to generate chunks

# [mods.towns-and-towers]
# [mods.ati-structures-fabricforge]
[mods.deeperdarker]
# [mods.spelunkery]
# [mods.wwoo]         # biome worldgen
# [mods.geophilic]
# [mods.regions-unexplored]
[mods.immersive-weathering]
# [mods.continents]
[mods.philips-ruins]
[mods.aquamirae]
[mods.ad-astra]
[mods.1098031]  # Ad Astra Oil Well Yeeter
# [mods.ctov-farmers-delight-compat]

[mods.yungs-better-mineshafts]
[mods.yungs-better-dungeons]
[mods.yungs-better-jungle-temples]
[mods.yungs-better-desert-temples]
[mods.yungs-better-end-island]
[mods.yungs-better-nether-fortresses]
[mods.yungs-cave-biomes]
[mods.yungs-menu-tweaks]
[datapacks.forgotten-hallways]  # underground dungeon
[datapacks.870545]  # Create Immersive Aircrafts - Recipes

[mods.almost-unified]

[mods.project-red-core]
[mods.project-red-transmission]
[mods.project-red-integration]
[mods.project-red-fabrication]
[mods.project-red-illumination]

# Mobs
[mods.critters-and-companions]
[mods.ribbits]
[mods.nyfs-spiders]
[mods.enderman-overhaul]
[mods.realm-rpg-fallen-adventurers]  # adds random dead skeletons
[mods.lets-do-wildernature]
[mods.heyberryshutup]  # fixes sweet berry bushes

### GUI mods
[mods.CYSUVOdj]   # Equipment compare
##[mods.ZcR9weSm]   # Dynamic Crosshair
[mods.Dafp0il6]   # Experimental Settings Disabler
[mods.JtifUr64]   # Traveler's Titles
[mods.u6dRKJwZ]   # Just Enough Items
[mods.better-ping-display]
[mods.jade]
[mods.jade-addons-forge]
[mods.controlling]
[mods.keybind-bundles]
[mods.better-third-person]
[mods.no-chat-reports]
[mods.client-tweaks]
    server_side=false
[mods.typewriter-daycounter]

### Game mechanics
[mods.passable-foliage]
#[mods.stevesrealisticsleep]
[mods.sleep]
[mods.time-control]
[mods.WrpuIfhw]   # Corpse
[mods.pandas-falling-trees]
[mods.better-climbing]
[mods.better-combat]
[mods.creeper-firework]

#### Content
[mods.519759]  # Map Atlases [Forge]
[mods.chalk-mod]
#[mods.supplementaries]
[mods.amendments]
[mods.snow-real-magic]
#[mods.snow-under-trees]
[mods.LNytGWDc]   # Create
   version_id="JjPQsQVw" # 6.0.6
   #version_id="8amzvn9x" # 6.0.8
[mods.dQG1xfZI]   # Create: Goggle Placement
[mods.createaddition]
#[mods.copycats]
#[mods.slice-and-dice]
[mods.create-deco]
[mods.create-tfmg]
   #version_id="ZNOx0jhg" # for create 6.0.8
   version_id="ZdvRpjTA"
[mods.create-molten-metals]
[mods.create-power-loader]
[mods.create-connected]
   version_id="HMzC945H"  # for create 6.0.6
   #version_id="saiZ8AwJ"
[mods.blocks-bogies]
   version_id="Dq3Gnyol"
[mods.create-bits-n-bobs]
   version_id="7Q1rlZJ1"
# [mods.immersiveengineering]
[mods.interiors]
#[mods.interactive]
[mods.create-copper-zinc]
[mods.create_oxidized]
#[mods.create-steam-n-rails]
#    version_id="ubktvkSZ"
[mods.R2OftAxM]   # Farmer's Delight
[mods.ends-delight]
[mods.lets-do-vinery]
[mods.lets-do-herbalbrews]
[mods.lets-do-brewery]
[mods.lets-do-camping]
[mods.lets-do-candlelight]
[mods.lets-do-farm-charm]
[mods.lets-do-furniture]
[mods.lets-do-candlelight-farmcharm-compat]
[mods.lets-do-bakery-farmcharm-compat]
[mods.lets-do-brewery-farmcharm-compat]
[mods.582697]     # Star Worm Equestrian (Upgrading Horses)
[mods.doggy-talents-next]
[mods.better_dogs_x_doggy_talents_next]
[resourcepacks.better-dogs]
    incompatible = true
[mods.minecraft-comes-alive-reborn]
[resourcepacks.667175]  # MCA - Default Medieval
    incompatible = true
[mods.small-ships]
[mods.immersive-aircraft]
[mods.man-of-many-planes]
[mods.immersive-paintings]
#[mods.tetra]
#[mods.tetratic-combat-expanded]
#[mods.tetracelium]
#[mods.small-tetra-additions]
[mods.diagonal-fences]
[mods.diagonal-walls]
[mods.heartstone]
# [mods.fantasy-furniture]
[mods.245506]    # MineColonies
    version_id=7611221
[mods.1232237]   # SmallColonies for Minecolonies
[mods.1076446]   # Minecolonies Curios Compat
[mods.1006214]   # Compatibility addon for MineColonies
#[mods.1278014]   # Pathfinding Edition For MineColonies
#[mods.1205669]   # Easycolony: Addon for Minecolonies
[mods.1332665]   # CreateColonies
[mods.1085479]   # Let's Do addon for MineColonies
[mods.298744]    # Structurize
[mods.522992]    # BlockUI
[mods.527361]    # Domum Ornamentum
[mods.975812]    # Tweaks addon for MineColonies

#### Sound & Audio
[mods.sound]
[mods.fM515JnW]   # AmbientSounds
[mods.simple-voice-chat]
[mods.simple-radio]
#[resourcepacks.simple-create-radios]
[resourcepacks.enhanced-audio]
##[resourcepacks.1090126]  # Horror Ambience Music
#[resourcepacks.marbleds-eerie-ambience]
#    incompatible = true
[resourcepacks.alternative-rain-sounds]
[resourcepacks.ambientcaves]
    any_version = true
##[resourcepacks.alacrity]
[resourcepacks.serified-font]
    incompatible = true

[mods.immersive-lanterns]
[mods.AtT9wm5O]   # Radiant Gear
[mods.jawg7zT1]   # Cave Dust
[mods.PQ5n5B9e]   # Back Weapon Slot
[mods.gPCdW0Wr]   # Make Bubbles Pop
# [mods.z13R7Et1]   # Visuality: Reforged
#[mods.solid_mobs]  # Changes mobs collision
[mods.explosive-enhancement-forge]
#[mods.coastal-waves]  # causing too much server lag?
#[mods.a-good-place]
# [mods.subtle-effects]
#    server_side=true
#[moods.particular]
#[mods.perception]
#[mods.fog]
#
##[mods.playeranimator]
[resourcepacks.detailed-animations]
[resourcepacks.better-farm-animals]
[mods.sounds-of-the-forest]
[mods.1293826] # Some Spooky Cave Additions
[mods.304719]  # Eyes in the Darkness

[custom."config/mca.json".update]
    allowDestinyCommandMoreThanOnce = true
    allowDestinyTeleportation = false
    enableInfection = false

[custom."config/DistantHorizons.toml".replace]
    "horizontalQuality = \"MEDIUM\"" = "horizontalQuality = \"LOW\""
    "showGenerationProgress = \"OVERLAY\"" = "showGenerationProgress = \"DISABLED\""


[custom."config/blockswap/block_swap.json5".update]
    retro_gen = false
    generate_all_known_states = true
    state_swapper = []
    swapper = {"swem:star_worm_cobble" = "minecraft:stone"}

[custom."config/map_atlases-common.toml".update]
    general.accept_paper_for_empty_maps = true
    general.max_map_count = 5120
    update_logic.markers_update_period = 100
